Main Page Modules Data Structures File List Data Fields Globals Related Pages

# Keyed Hash Functions: HMAC-SHA-1

## Files
file | hmacsha1.c
| HMAC-SHA-1 message authentication code, code.

file | hmacsha1.h
| HMAC-SHA-1 message authentication code, header.

## Data Structures
struct | hmacsha1Param
## Functions
int | hmacsha1Setup (hmacsha1Param *sp, const uint32 *key, int keybits)
int | hmacsha1Reset (hmacsha1Param *sp)
int | hmacsha1Update (hmacsha1Param *sp, const byte *data, int size)
int | hmacsha1Digest (hmacsha1Param *sp, uint32 *data)
## Variables
const keyedHashFunction | hmacsha1

## Function Documentation

int hmacsha1Digest | ( | hmacsha1Param * | sp,
|  | uint32 * | data
| ) |

| Definition at line 52 of file hmacsha1.c.

int hmacsha1Reset | ( | hmacsha1Param * | sp | ) |

| Definition at line 42 of file hmacsha1.c.

int hmacsha1Setup | ( | hmacsha1Param * | sp,
|  | const uint32 * | key,
|  | int | keybits
| ) |

| Definition at line 37 of file hmacsha1.c.

int hmacsha1Update | ( | hmacsha1Param * | sp,
|  | const byte * | data,
|  | int | size
| ) |

| Definition at line 47 of file hmacsha1.c.

## Variable Documentation

const keyedHashFunction hmacsha1

| Definition at line 49 of file hmacsha1.h.